%define ISONAME ISO8859-2
Name: XFree86-%{ISONAME}
Version: 1.0
Release: 1
Copyright: distributable
Source: http://www.biz.net.pl/images/ISO8859-2-bdf.tar.gz
Source1: http://www.intersoft.cz/linux/fonts/ulT1mo-beta-1.0.tar.gz
Patch0: XFree86-ISO8859-2-1.0-redhat.patch
Requires: XFree86 > 3.2
BuildRoot: /var/tmp/XFree86-ISO8859-2-root
BuildArch: noarch
Group: X11/XFree86
Summary: ISO-8859-2 (Central European) System Fonts for X11
 
%description
This package includes the Central European (ISO-8859-2) system fonts for the
X11 system.

These fonts are distributed free of charge and can be used freely subject to
the following copyright:
    Copyright (C) 1996, 1997 BIZNET Poland, Inc. All Rights Reserved.
    BIZNET is a registered trademark of BIZNET Poland, Inc.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: X11/XFree86
Summary: 75 dpi %{ISONAME} X11 system fonts

%description 75dpi-fonts
This package includes the Central European (ISO-8859-2) 75 dpi fonts for the
X11 system.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: X11/XFree86
Summary: 100 dpi %{ISONAME} X11 system fonts

%description 100dpi-fonts
This package includes the Central European (ISO-8859-2) 100 dpi fonts for the
X11 system.

%package Type1-fonts
Requires: XFree86 > 3.2
Group: X11/XFree86
Summary: Type1 (scalable) %{ISONAME} X11 system fonts

%description Type1-fonts
This package includes the Central European (ISO-8859-2) Type1 fonts for the
X11 system.

This is the famous ulT1mo (read ultimo) collection. All fonts are
copyrighted to their authors and declared to be freeware. Originals was
taken from the net or CDs.

%prep
%setup -c -q -a 1
%patch0 -p1 -b .redhat

%build
make all
make all -C ulT1mo-beta-1.0

%install
rm -rf $RPM_BUILD_ROOT
DSTFONT=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/%{ISONAME}
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$DSTFONT
mkdir -p $DSTFONT/Type1/{afm,pfm}
(cd ulT1mo-beta-1.0 ;
install -m 644 *.pfb fonts.{alias,dir,scale} $DSTFONT/Type1
install -m 644 afm/*.afm $DSTFONT/Type1/afm
install -m 644 pfm/*.pfm $DSTFONT/Type1/pfm
)

cat > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/%{ISONAME}/XF86Config.example <<EOF
# EXAMPLE
# This is a sample configuration file to show you how to modify the Files section
# of your /etc/X11/XF86Config file to include support for %{ISONAME} fonts. The
# "trick" is to list the %{ISONAME} fonts before the default ones.
#

# **********************************************************************
# Files section.  This allows default font and rgb paths to be set
# **********************************************************************

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath     "/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (which are concatenated together),
# as well as specifying multiple comma-separated entries in one FontPath
# command (or a combination of both methods)

    FontPath    "/usr/X11R6/lib/X11/fonts/%{ISONAME}/misc"
    FontPath    "/usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi"
    FontPath    "/usr/X11R6/lib/X11/fonts/%{ISONAME}/100dpi"
    FontPath    "/usr/X11R6/lib/X11/fonts/%{ISONAME}/Type1"
    FontPath    "/usr/X11R6/lib/X11/fonts/misc"
    FontPath    "/usr/X11R6/lib/X11/fonts/75dpi"
    FontPath    "/usr/X11R6/lib/X11/fonts/100dpi"
    FontPath    "/usr/X11R6/lib/X11/fonts/Type1"
    FontPath    "/usr/X11R6/lib/X11/fonts/Speedo"

EndSection
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc RELEASE_NOTES.TXT
%dir /usr/X11R6/lib/X11/fonts/%{ISONAME}
/usr/X11R6/lib/X11/fonts/%{ISONAME}/misc
%attr(644,root,root) /usr/X11R6/lib/X11/fonts/%{ISONAME}/XF86Config.example

%files 75dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/%{ISONAME}/75dpi

%files 100dpi-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/%{ISONAME}/100dpi

%files Type1-fonts
%defattr(-,root,root)
/usr/X11R6/lib/X11/fonts/%{ISONAME}/Type1

%changelog
* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- packaged for RH 5.2
- made a noarch package

